Organizations
Organizations: 5 operations of the ChaosDesk REST API.
- GET
/api/organizationsRetrieves the collection of Organization resources. - POST
/api/organizationsCreates a Organization resource. - GET
/api/organizations/{id}Retrieves a Organization resource. - PATCH
/api/organizations/{id}Updates the Organization resource. - DELETE
/api/organizations/{id}Removes the Organization resource.
Retrieves the collection of Organization resources.
Parameters
pageintegerquery- The collection page number
itemsPerPageintegerquery- The number of items per page
namestringquery
Responses
200Organization collection403Forbidden
Example request
curl -X GET "https://yourcompany.chaosdesk.io/api/organizations" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json" Creates a Organization resource.
Request body application/json
namestringrequireddetailsstring | nullnotesstring | nullshared_ticketsboolean- Zendesk "shared tickets": members can see each other's requests in the portal.
default_groupstring | null (iri-reference)tagsstring[]domain_namesstring[]
Responses
201Organization resource created400Invalid input403Forbidden422An error occurred
Example request
curl -X POST "https://yourcompany.chaosdesk.io/api/organizations" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{"name":"string"}' Retrieves a Organization resource.
Parameters
idstringpathrequired- Organization identifier
Responses
200Organization resource403Forbidden404Not found
Example request
curl -X GET "https://yourcompany.chaosdesk.io/api/organizations/{id}" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json" Updates the Organization resource.
Parameters
idstringpathrequired- Organization identifier
Request body application/merge-patch+json
namestringdetailsstring | nullnotesstring | nullshared_ticketsboolean- Zendesk "shared tickets": members can see each other's requests in the portal.
default_groupstring | null (iri-reference)tagsstring[]domain_namesstring[]
Responses
200Organization resource updated400Invalid input403Forbidden404Not found422An error occurred
Example request
curl -X PATCH "https://yourcompany.chaosdesk.io/api/organizations/{id}" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/merge-patch+json" \
-d '{"name":"string","details":"string"}' Removes the Organization resource.
Parameters
idstringpathrequired- Organization identifier
Responses
204Organization resource deleted403Forbidden404Not found
Example request
curl -X DELETE "https://yourcompany.chaosdesk.io/api/organizations/{id}" \
-H "Authorization: Bearer $CHAOSDESK_TOKEN" \
-H "Accept: application/json"